Mark a task as completed
curl --request PATCH \
--url https://api.paytsoftware.com/v1/tasks/{id}/mark_completed \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"administration_id": "<string>",
"fields": "<string>",
"completed_status": "<string>",
"completed_status_message": "<string>",
"comment": "<string>",
"resume_dossiers": true
}
'import requests
url = "https://api.paytsoftware.com/v1/tasks/{id}/mark_completed"
payload = {
"administration_id": "<string>",
"fields": "<string>",
"completed_status": "<string>",
"completed_status_message": "<string>",
"comment": "<string>",
"resume_dossiers": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
administration_id: '<string>',
fields: '<string>',
completed_status: '<string>',
completed_status_message: '<string>',
comment: '<string>',
resume_dossiers: true
})
};
fetch('https://api.paytsoftware.com/v1/tasks/{id}/mark_completed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.paytsoftware.com/v1/tasks/{id}/mark_completed",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'administration_id' => '<string>',
'fields' => '<string>',
'completed_status' => '<string>',
'completed_status_message' => '<string>',
'comment' => '<string>',
'resume_dossiers' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.paytsoftware.com/v1/tasks/{id}/mark_completed"
payload := strings.NewReader("{\n \"administration_id\": \"<string>\",\n \"fields\": \"<string>\",\n \"completed_status\": \"<string>\",\n \"completed_status_message\": \"<string>\",\n \"comment\": \"<string>\",\n \"resume_dossiers\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.paytsoftware.com/v1/tasks/{id}/mark_completed")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"administration_id\": \"<string>\",\n \"fields\": \"<string>\",\n \"completed_status\": \"<string>\",\n \"completed_status_message\": \"<string>\",\n \"comment\": \"<string>\",\n \"resume_dossiers\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.paytsoftware.com/v1/tasks/{id}/mark_completed")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"administration_id\": \"<string>\",\n \"fields\": \"<string>\",\n \"completed_status\": \"<string>\",\n \"completed_status_message\": \"<string>\",\n \"comment\": \"<string>\",\n \"resume_dossiers\": true\n}"
response = http.request(request)
puts response.read_body{
"administration_id": "<string>",
"id": "<string>",
"expiry_date": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"assigned_to_user": {
"id": "<string>",
"name": "<string>",
"email_address": "<string>"
},
"credit_case_id": "<string>",
"debtor_id": "<string>",
"invoice_id": "<string>",
"description": "<string>",
"subject": "<string>",
"completed_status": "succeeded",
"completed_status_message": "<string>",
"comments": [
{
"id": "<string>",
"content": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"completed_at": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}tasks
Mark a task as completed
Mark a task as completed
PATCH
/
v1
/
tasks
/
{id}
/
mark_completed
Mark a task as completed
curl --request PATCH \
--url https://api.paytsoftware.com/v1/tasks/{id}/mark_completed \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"administration_id": "<string>",
"fields": "<string>",
"completed_status": "<string>",
"completed_status_message": "<string>",
"comment": "<string>",
"resume_dossiers": true
}
'import requests
url = "https://api.paytsoftware.com/v1/tasks/{id}/mark_completed"
payload = {
"administration_id": "<string>",
"fields": "<string>",
"completed_status": "<string>",
"completed_status_message": "<string>",
"comment": "<string>",
"resume_dossiers": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
administration_id: '<string>',
fields: '<string>',
completed_status: '<string>',
completed_status_message: '<string>',
comment: '<string>',
resume_dossiers: true
})
};
fetch('https://api.paytsoftware.com/v1/tasks/{id}/mark_completed', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.paytsoftware.com/v1/tasks/{id}/mark_completed",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'administration_id' => '<string>',
'fields' => '<string>',
'completed_status' => '<string>',
'completed_status_message' => '<string>',
'comment' => '<string>',
'resume_dossiers' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.paytsoftware.com/v1/tasks/{id}/mark_completed"
payload := strings.NewReader("{\n \"administration_id\": \"<string>\",\n \"fields\": \"<string>\",\n \"completed_status\": \"<string>\",\n \"completed_status_message\": \"<string>\",\n \"comment\": \"<string>\",\n \"resume_dossiers\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.paytsoftware.com/v1/tasks/{id}/mark_completed")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"administration_id\": \"<string>\",\n \"fields\": \"<string>\",\n \"completed_status\": \"<string>\",\n \"completed_status_message\": \"<string>\",\n \"comment\": \"<string>\",\n \"resume_dossiers\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.paytsoftware.com/v1/tasks/{id}/mark_completed")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"administration_id\": \"<string>\",\n \"fields\": \"<string>\",\n \"completed_status\": \"<string>\",\n \"completed_status_message\": \"<string>\",\n \"comment\": \"<string>\",\n \"resume_dossiers\": true\n}"
response = http.request(request)
puts response.read_body{
"administration_id": "<string>",
"id": "<string>",
"expiry_date": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"assigned_to_user": {
"id": "<string>",
"name": "<string>",
"email_address": "<string>"
},
"credit_case_id": "<string>",
"debtor_id": "<string>",
"invoice_id": "<string>",
"description": "<string>",
"subject": "<string>",
"completed_status": "succeeded",
"completed_status_message": "<string>",
"comments": [
{
"id": "<string>",
"content": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"completed_at": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Authorizations
OAuth2 access token or static API token. See Authorization for how to obtain one.
Body
application/jsonapplication/x-www-form-urlencoded
Mark a task as completed
Response
Task
CustomerApi_V1_TaskEntity model
Was this page helpful?